export interface PostHogUserTraits {
    email?: string;
    name?: string;
    firstName?: string;
    lastName?: string;
    createdAt?: string;
    [key: string]: string | string[] | undefined;
}
export declare class PostHogTracker {
    private static module;
    private static isDevelopmentMode;
    static setModule(module: string): void;
    static getModule(): string | undefined;
    static setDevelopment(isDevelopment: boolean): void;
    static identify(userId: string, userTraits?: PostHogUserTraits): void;
    static track(eventName: string, properties?: Record<string, unknown>): void;
    static reset(): void;
}
